Bug 102058 - Can't compile kernel with ACPI enabled
Can't compile kernel with ACPI enabled
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-10 01:13 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 08:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-10 01:13:57 EDT
Description of problem:

I have a Dell Latitude D600 and I am trying to recompile the kernel with ACPI
enabled.  "make bzImage" works fine, but "make modules" failed with the errors
included below.  The error messages don't seem to make any sense after reading
the source code.




Version-Release number of selected component (if applicable):
kernel-source-2.4.20-19.9


How reproducible: always


Steps to Reproduce:
1. enable ACPI by "make xconfig" as modules
2. make bzImage
3. make modules


    
Actual results:

I have a Dell Latitude D600 and I am trying to recompile the kernel with ACPI
enabled.  "make bzImage" works fine, but "make modules" failed with the errors
included below.  The error messages don't seem to make any sense after reading
the source code.

[root@howardlaptop linux-2.4.20-19.9]# make modules
make -r -f tmp_include_depends all
make[1]: Entering directory `/usr/src/linux-2.4.20-19.9'
make[1]: Circular /usr/src/linux-2.4.20-19.9/include/asm/smplock.h <-
/usr/src/linux-2.4.20-19.9/include/linux/interrupt.h dependency dropped.
make[1]: Circular
/usr/src/linux-2.4.20-19.9/include/linux/netfilter_ipv4/ip_conntrack_helper.h <-
/usr/src/linux-2.4.20-19.9/include/linux/netfilter_ipv4/ip_conntrack.h
dependency dropped.
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/usr/src/linux-2.4.20-19.9'
make -C  kernel CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4.20-19.9/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686 -DMODULE
-DMODVERSIONS -include /usr/src/linux-2.4.20-19.9/include/linux/modversions.h"
MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.20-19.9/kernel'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.20-19.9/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe
-mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.20-19.9/include/linux/modversions.h  -nostdinc -iwithprefix
include -DKBUILD_BASENAME=cpufreq  -DEXPORT_SYMTAB -c cpufreq.c
In file included from cpufreq.c:15:
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:60: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:60: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:60: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:61: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:61: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:62: `panic_R_ver_str' declared
as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:62: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:68: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:68: `simple_strtoul_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:68: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:69: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:69: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:69: `simple_strtol_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:69: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:70: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:70: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:70:
`simple_strtoull_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:70: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:72: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:72: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:73: `sprintf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:73: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:74: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:74: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:74: `vsprintf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:74: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:75: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:75: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:76: `snprintf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:76: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:77: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:77: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:77: `vsnprintf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:77: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:79: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:79: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:80: `sscanf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:80: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:81: `vsscanf_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:81: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:83: `get_option_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:83: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:84: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:84: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:84: `get_options_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:84: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:85: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:85: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:85: `memparse_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:85: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:91: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:91: parse error before numeric
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:92: `printk_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:92: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:108: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:108: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:109: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:114: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:114: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:114: `dump_stack_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:114: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:191: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:191: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:191:
`__out_of_line_bug_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/kernel.h:191: warning: function
declaration isn't a prototype
In file included from /usr/src/linux-2.4.20-19.9/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.20-19.9/include/linux/list.h:6,
                 from /usr/src/linux-2.4.20-19.9/include/linux/module.h:12,
                 from cpufreq.c:16:
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:60: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:60: field
`loops_per_jiffy_R_ver_str' declared as a function
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:83: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:83: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:83: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:266: invalid suffix on
integer constant
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:266: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:266: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/asm/processor.h:270: warning: parameter names
(without types) in function declaration
In file included from cpufreq.c:16:
/usr/src/linux-2.4.20-19.9/include/linux/module.h:183: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:183: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:183:
`inter_module_register_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:183: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/module.h:184: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:184: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:184:
`inter_module_unregister_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:184: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/module.h:185:
`inter_module_get_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:185: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/linux/module.h:186:
`inter_module_get_request_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:186: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-19.9/include/linux/module.h:187: invalid suffix on integer
constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:187: parse error before
numeric constant
/usr/src/linux-2.4.20-19.9/include/linux/module.h:187:
`inter_module_put_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:187: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-19.9/include/linux/module.h:196:
`try_inc_mod_count_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-19.9/include/linux/module.h:196: warning: parameter names
(without types) in function declaration
In file included from /usr/src/linux-2.4.20-19.9/include/linux/fs.h:19,
                 from /usr/src/linux-2.4.20-19.9/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-19.9/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-19.9/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-19.9/include/linux/mm.h:22,
                 from /usr/src/linux-2.4.20-19.9/include/linux/slab.h:14,
                 from /usr/src/linux-2.4.20-19.9/include/linux/proc_fs.h:5,
                 from cpufreq.c:24:
/usr/src/linux-2.4.20-19.9/include/linux/dcache.h: In function `dget':
/usr/src/linux-2.4.20-19.9/include/linux/dcache.h:254: warning: implicit
declaration of function `__out_of_line_bug_R8b0fd3c5'
cpufreq.c: In function `cpufreq_parse_policy':
cpufreq.c:111: warning: implicit declaration of function `sscanf_R859204af'
cpufreq.c: In function `cpufreq_proc_read':
cpufreq.c:225: warning: implicit declaration of function `sprintf_R1d26aa98'
cpufreq.c: In function `cpufreq_proc_init':
cpufreq.c:327: warning: implicit declaration of function `printk_R1b7d4074'
cpufreq.c: In function `cpufreq_restore':
cpufreq.c:1109: warning: implicit declaration of function `panic_R01075bf0'
cpufreq.c: At top level:
cpufreq.c:192: warning: `cpufreq_setup' defined but not used
make[1]: *** [cpufreq.o] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.20-19.9/kernel'
make: *** [_mod_kernel] Error 2


Expected results:


Additional info:
Comment 1 Arjan van de Ven 2003-08-11 08:56:32 EDT
You forgot make mrproper as your first step; also ACPI isn't expected to work
actually...

Note You need to log in before you can comment on or make changes to this bug.